Loading...
Searching...
No Matches
omInlineDecl.h File Reference

Go to the source code of this file.

## Functions

OM_INLINE_DECL omBin | omGetBinOfPage (omBinPage page)
OM_INLINE_DECL int | _omIsBinPageAddr (const void *addr)
OM_INLINE_DECL void * | _omAllocBin (omBin bin)
OM_INLINE_DECL void * | _omAlloc0Bin (omBin bin)
OM_INLINE_DECL void * | _omReallocBin (void *addr, omBin old_bin, omBin new_bin)
OM_INLINE_DECL void * | _omRealloc0Bin (void *addr, omBin old_bin, omBin new_bin)
OM_INLINE_DECL void * | _omAlloc (size_t size)
OM_INLINE_DECL void * | _omAlloc0 (size_t size)
OM_INLINE_DECL void * | _omReallocSize (void *addr, size_t old_size, size_t new_size)
OM_INLINE_DECL void * | _omRealloc0Size (void *addr, size_t old_size, size_t new_size)
OM_INLINE_DECL void * | _omRealloc (void *addr, size_t size)
OM_INLINE_DECL void * | _omRealloc0 (void *addr, size_t size)
OM_INLINE_DECL void * | _omalloc (size_t size)
OM_INLINE_DECL void * | _omalloc0 (size_t size)
OM_INLINE_DECL void * | _omreallocSize (void *addr, size_t old_size, size_t new_size)
OM_INLINE_DECL void * | _omrealloc0Size (void *addr, size_t old_size, size_t new_size)
OM_INLINE_DECL void * | _omrealloc (void *addr, size_t size)
OM_INLINE_DECL void * | _omrealloc0 (void *addr, size_t size)
OM_INLINE_DECL char * | _omStrDup (const char *s)
OM_INLINE_DECL void * | _omMemDup (void *addr)

## Function Documentation

## _omAlloc()

OM_INLINE_DECL void * _omAlloc | ( | size_t | size | ) |

## _omalloc()

OM_INLINE_DECL void * _omalloc | ( | size_t | size | ) |

## _omAlloc0()

OM_INLINE_DECL void * _omAlloc0 | ( | size_t | size | ) |

## _omalloc0()

OM_INLINE_DECL void * _omalloc0 | ( | size_t | size | ) |

## _omAlloc0Bin()

OM_INLINE_DECL void * _omAlloc0Bin | ( | omBin | bin | ) |

## _omAllocBin()

OM_INLINE_DECL void * _omAllocBin | ( | omBin | bin | ) |

## _omIsBinPageAddr()

OM_INLINE_DECL int _omIsBinPageAddr | ( | const void * | addr | ) |

## _omMemDup()

OM_INLINE_DECL void * _omMemDup | ( | void * | addr | ) |

## _omRealloc()

OM_INLINE_DECL void * _omRealloc | ( | void * | addr,
|  | size_t | size )

## _omrealloc()

OM_INLINE_DECL void * _omrealloc | ( | void * | addr,
|  | size_t | size )

## _omRealloc0()

OM_INLINE_DECL void * _omRealloc0 | ( | void * | addr,
|  | size_t | size )

## _omrealloc0()

OM_INLINE_DECL void * _omrealloc0 | ( | void * | addr,
|  | size_t | size )

## _omRealloc0Bin()

OM_INLINE_DECL void * _omRealloc0Bin | ( | void * | addr,
|  | omBin | old_bin,
|  | omBin | new_bin )

## _omRealloc0Size()

OM_INLINE_DECL void * _omRealloc0Size | ( | void * | addr,
|  | size_t | old_size,
|  | size_t | new_size )

## _omrealloc0Size()

OM_INLINE_DECL void * _omrealloc0Size | ( | void * | addr,
|  | size_t | old_size,
|  | size_t | new_size )

## _omReallocBin()

OM_INLINE_DECL void * _omReallocBin | ( | void * | addr,
|  | omBin | old_bin,
|  | omBin | new_bin )

## _omReallocSize()

OM_INLINE_DECL void * _omReallocSize | ( | void * | addr,
|  | size_t | old_size,
|  | size_t | new_size )

## _omreallocSize()

OM_INLINE_DECL void * _omreallocSize | ( | void * | addr,
|  | size_t | old_size,
|  | size_t | new_size )

## _omStrDup()

OM_INLINE_DECL char * _omStrDup | ( | const char * | s | ) |

## omGetBinOfPage()

OM_INLINE_DECL omBin omGetBinOfPage | ( | omBinPage | page | ) |